# DisasterVehicle Struct Reference

Disasters, like submarines, skyrangers and their shadows, belong to this class. More...

`#include <vehicle_base.h>`

Inheritance diagram for DisasterVehicle:

## Public Member Functions

| DisasterVehicle ()
| We don't want GCC to zero our struct! It already is zeroed and has an index!
virtual | ~DisasterVehicle ()
| We want to 'destruct' the right class.
const char * | GetTypeString () const
void | UpdateDeltaXY (Direction direction)
bool | Tick ()

## Data Fields

uint16 | image_override
VehicleID | big_ufo_destroyer_target

## Detailed Description

Disasters, like submarines, skyrangers and their shadows, belong to this class.

Definition at line 680 of file vehicle_base.h.

## Constructor & Destructor Documentation

virtual DisasterVehicle::~DisasterVehicle | ( |  | ) | `[inline, virtual]`

We want to 'destruct' the right class.

Definition at line 687 of file vehicle_base.h.

The documentation for this struct was generated from the following files:

- src/vehicle_base.h
- src/disaster_cmd.cpp